Name:           starcal
Version:        1.5.3
Release:        1%{?dist}
Summary:        A desktop calendar with Gregorian, Jalali and Hijri support

Group:          User Interface/Desktops
License:        GPLv3+
URL:            http://sourceforge.net/projects/starcal/
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}-src.tar.gz
# Source 1 is created by me.
Source1:        %{name}.desktop
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires:       pygtk2
BuildArch:      noarch
BuildRequires:  python2-devel desktop-file-utils

%description
A perfect calendar with Gregorian, Jalali and Hijri support for GNU/Linux.
It is written in PyGTK and can reside in system tray like an applet.

%prep
%setup -q -n %{name}-%{version}-src
find -type f -not -name "*.py" -exec chmod a-x {} \;
chmod a+x src/lang
find -name "*.py" -exec sh -c 'if ! grep "^#\!" {} &> /dev/null;  then \
   sed -i -e "1i#!/usr/bin/python" {}; fi'  \;

%build
rm -f src/{customday-new.py,htmlview.py,starcal_main.py}
cat > starcal <<EOF
#!/bin/sh
SRC_DIR="%{_datadir}/starcal/src"
python "\$SRC_DIR/starcal.py" "\$@"
EOF
chmod a+x starcal

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_datadir}/%{name} %{buildroot}%{_bindir}\
            %{buildroot}%{_datadir}/pixmaps/
cp -a pixmaps plugins src %{buildroot}%{_datadir}/%{name}
cp -p %{name} %{buildroot}%{_bindir}
ln -s %{_datadir}/%{name}/pixmaps/%{name}.png %{buildroot}%{_datadir}/pixmaps/

desktop-file-install     \
  --dir=%{buildroot}/%{_datadir}/applications %{SOURCE1}
 
%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc ChangeLog src/license
%{_bindir}/*
%{_datadir}/%{name}
%{_datadir}/pixmaps/*
%{_datadir}/applications/*

%changelog
* Mon Feb 21 2011 Hedayat Vatankhah <hedayat.fwd+rpmchlog@gmail.com> - 1.5.3-1
- Initial version

